#
# spec file for package cdesim (Version 0.42)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xpm -fvwm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         cdesim
Release:      17
Copyright:    October 9, 1996, Michael A. Haas
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.42
Summary:      CDE simulator
Source: cdesim-0.42.tar.gz
Source1: fvwm-2.0.46.tar.gz
Patch: cdesim-0.42.dif
Patch1: fvwm-2.0.46.dif
%description
CDEsim simulates a window manager.
With the help of fvwm (version 2), it simulates the "look and feel" of
the popular CDE user interface. More the look than the feel. It is
fully integrated into the susewm window manager configuration tool, and
will be automatically preconfigured.
Documentation and original configuration files under:
/usr/doc/packages/cdesim 
Please read /usr/doc/packages/cdesim/README.cdesim
(also available from the cdesim menu!).

Authors:
--------
    Michael A. Haas <gnosis@infinet.com>
    Martin Scherbaum <maddin@suse.de>

%prep
%setup -a 1
%patch
cd fvwm-2.0.46
%patch -P 1
xmkmf
make Makefiles
cd ..
ln -sf fvwm-2.0.46 fvwm
%build
( cd fvwm/libs; make all)
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%dir /usr/X11R6/lib/X11/cdesim
%dir /usr/doc/packages/cdesim
/usr/X11R6/bin/.afterstep
/usr/X11R6/bin/.bowman
/usr/X11R6/bin/.ctwm
/usr/X11R6/bin/.fvwm
/usr/X11R6/bin/.fvwm2
/usr/X11R6/bin/.fvwm95
/usr/X11R6/bin/.mwm
/usr/X11R6/bin/cdesim
%config /usr/X11R6/lib/X11/cdesim/.cdesimrc
/usr/X11R6/lib/X11/cdesim/CDEBanner
%config /usr/X11R6/lib/X11/cdesim/Xresources
%doc /usr/doc/packages/cdesim/Fvwm2-CDEm-v1.0a.lsm
%doc /usr/doc/packages/cdesim/Fvwm2-CDEm-v2.0.lsm
%doc /usr/doc/packages/cdesim/README
%doc /usr/doc/packages/cdesim/README-v2.0
%doc /usr/doc/packages/cdesim/README.cdesim
%doc /usr/doc/packages/cdesim/Xdefaults
%doc /usr/doc/packages/cdesim/bluribbn.gif
%doc /usr/doc/packages/cdesim/md6.gif
%doc /usr/doc/packages/cdesim/system.fvwm2rc
%doc /usr/doc/packages/cdesim/xfmrc

